QMIDIROUTE(1)

NOM
qmidiroute - un processeur et routeur d'évênements MIDI

SYNOPSIS
qmidiroute [OPTION] [fichier]
qmidiroute { --help | --version }

DESCRIPTION
qmidiroute est un processeur d'évênements MIDI versatile pour le séquenceur ALSA. Son interface graphique est basée sur la bibliothèque Qt4. qmidiroute permet le montage d'un nombre illimité de routages MIDI dans lesquels les évênements entrants sont d'abord filtrés, puis modifiés en valeur ou même en type d'évênement, et enfin acheminés vers un port ALSA de sortie dédié. Les routes fonctionnent en parallèle et sont organisées en onglets. Avec qmidiroute il est par exemple possible de changer ou invertir l'échelle d'un clavier, de transformer des notes jouées sur le clavier en changements de son (program change) ou des données d'un contrôleur en notes. qmidiroute possède également un outil de journalisation des évênements MIDI reçus.

  Utilisation Générale
Après le lancement de l'application, l'onglet Non-traité est présenté (cf paragraphe plus bas). Pour commencer le montage des routes MIDI, on clique le bouton Nouvelle route..., ce qui produit une nouvelle route MIDI visible comme onglet dans la zone de routage. Plusieurs routes travaillant en parallèle peuvent ainsi être créées et organisées en utilisant les boutons Renommer, Supprimer et Dupliquer. L'intégralité du montage peut être enregistré dans et chargé à partir d'un fichier QMidiRoute (.qmr). Le Journal d'évênements est affiché dans la partie inférieure de l'interface et peut être caché ou détaché au choix. La journalisation peut également être désactivée totalement ou pour les évênements MIDI Clock uniquement.

  Monter une route MIDI

  Le champ Entrée
Le champ Entrée représente le filtre pour les évênements entrants dans chaque route. Les évênements traités sont Note, Contrôleur, Pitchbend et Program Change. Ces évênements peuvent être filtrés par rapport à leurs valeurs respectives ou par leur canal MIDI. Les évênements pouvant passer ce filtre d'entrée sont dirigés vers le champ Sortie.

  Le champ Sortie
Le champ Sortie permet de spécifier en quel type d'évênement les données passant par le filtre d'entrée seront transformées, de quelle manière leur canal MIDI et leurs valeurs seront changées, et enfin vers quel port AlSA elles seront acheminées. Le Canal et les Valeurs peuvent être définis en mode Fixe, Offset ou Reverse Offset par rapport à l'évênement d'entrée. Par exemple, Reverse Offset prend la valeur spécifiée et en soustrait la valeur de l'évênement d'entrée pour produire la valeur de l'évênement sortant. Si la gamme de valeurs spécifiée à la sortie est différente de celle de l'entrée, la gamme des valeurs d'entrée sera mise à l'échelle de la gamme de sortie, et ceci de manière continue. Les évênements seront acheminés vers le port ALSA spécifié. Le nombre de ports ALSA disponibles peut être défini en spécifiant l' option correspondante.

  L'onglet Non-traité
Dans l'onglet Non-traité, on gère les évênements ne passant par aucun des filtres définis dans l'ensemble du routage. Ces évênements peuvent être rejetés ou transmis au port spécifié.

OPTIONS
--portCount <num> Définir le nombre de ports ALSA disponibles égal à <num>. La valeur par défaut est 2.

--help
    Affiche les options de ligne de commande disponibles et quitte le programme.

--version
    Affiche l'information de version du programme et quitte celui-ci.

fichier
    Nom d'un fichier QMidiRoute (.qmr) valide à charger au démarrage du programme.

FICHIERS
*.qmr
    Fichiers QMidiRoute contenant les données de routage MIDI au format plein texte.

EXEMPLES
Un fichier d'exemple de routage MIDI se situe dans /usr/share/qmidiroute ou dans /usr/local/share/qmidiroute

NOTES
Les erreurs et avertissements sont écrits dans stderr(3).

SUPPORT
alsamodular-devel@lists.sourceforge.net

AUTEURS
Matthias Nagorni, Frank Kober et Guido Scholz. Cette page de manuel a été écrite par Frank Kober <emuse@users.sourceforge.net>.